
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #751

Encoding of exported m3u playlist prevents from being played

October 30, 2017 11:26 - The  Mummy

Status: Rejected Start date: October 30, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.6   

Description

Hello.

I have not been able to find a similmar issue using the search function, but I am not sure if I did not miss it.

I use Audacious on various computers, mostly with Linux OS (Ubuntu) with either ext4 or NTFS file systems.

One issue that I face systematically regards exporting playlists (to .m3u files) :

all special characters are encoded (with '%20' for a space or '%C2%B0' for '°', etc ...) and Audacious cannot read them !

So Audacious cannot read the m3u playlists it exports ...

I have to open the files in a text file editor and replace myself all encoded characters.

Maybe there is a setting somewhere to fix this, but I have not found it.

Thanks for your work !

History

#1 - November 01, 2017 01:48 - John Lindgren

I can't reproduce this.  Can you please attach the output of "audacious -V" when adding an exported playlist that doesn't work, and then the same

output when adding your manually-fixed version of that playlist for comparison?  And attach the two playlists also.

Also please post the output of the "locale" command on your system.

#2 - November 01, 2017 01:51 - John Lindgren

- File test-absolute.m3u added

- File test-relative.m3u added

Here are two examples of playlists that I exported.  Note that neither one contains percent-encoded paths.

Are you sure you are using version 3.9 and not some older version?

#3 - November 01, 2017 22:00 - The  Mummy

Hello. Thanks for your answer.

I use the version of Audacious provided by the OS software manager (Ubuntu or Linux Mint). Currently on this computer (Linux Mint 18), it's actually

3.6.

Regarding the 'locale' command :

~ $ locale

LANG=en_US.UTF-8

LANGUAGE=en_US

LC_CTYPE="en_US.UTF-8" 

LC_NUMERIC=fr_FR.UTF-8
LC_TIME="en_US.UTF-8" 

LC_COLLATE="en_US.UTF-8" 

LC_MONETARY=fr_FR.UTF-8

LC_MESSAGES="en_US.UTF-8" 

LC_PAPER=fr_FR.UTF-8

LC_NAME=fr_FR.UTF-8

LC_ADDRESS=fr_FR.UTF-8

LC_TELEPHONE=fr_FR.UTF-8

LC_MEASUREMENT=fr_FR.UTF-8

LC_IDENTIFICATION=fr_FR.UTF-8

LC_ALL=

#4 - November 02, 2017 13:25 - John Lindgren

- Affects version 3.6 added

- Affects version deleted (3.9)

The  Mummy wrote:

I use the version of Audacious provided by the OS software manager (Ubuntu or Linux Mint). Currently on this computer (Linux Mint 18), it's

actually 3.6.

 

We don't support Audacious 3.6 any longer.  There are many bug fixes you are missing by not using the latest version.  Please update.

#5 - November 02, 2017 13:27 - John Lindgren

- Status changed from New to Rejected

#6 - November 04, 2017 08:26 - The  Mummy

- File Riven - soundtrack.m3u added

- File Riven - soundtrack - relative path.m3u added

- File Riven - soundtrack - relative path and rectified encoding.m3u added

Hello.

I have done some tests again with both the 3.6 and 3.9 versions (and there is no behaviour difference between the both of them).

I have added test files (the playlist of the soundtrack of the video game Riven).

The encoding problem seems to be connected to whether the paths are relative or absolute, the portability of playlists from one computer and one OS

to another.

When the playlist is exported from Audacious (1st attached file), the paths are absolute and the used encoding is '%20' for ' '. The file works fine.

But because I want to have relative paths in my playlist files so I can synchronize them between computers (see feature request 647) I edit the playlist

file and delete the paths and keep only the file names because the playlist file is to be stored in the same folder as the files. Then the playlist file (2nd

file attached) does not work any more.

The error message is :
Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/01%2520-%2520Link.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/02%2520-%2520Atrus%2527

%2520Theme.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/03%2520-%2520Gateroom.o

gg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/04%2520-%2520Jungle%252

0Totem.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/05%2520-%2520Survey%252

0Island%2520Theme.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/06%2520-%2520Temple.ogg

:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/07%2520-%2520Village%25

20Entrance%2520Theme.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/08%2520-%2520Moeity%252

0Caves.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/09%2520-%2520Moeity%252

0Theme.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/10%2520-%2520Boat%2520R

ide.ogg:

No such file or directory

Error reading file:///home/attila/Music/musiques%20d%27ambiance/Riven%20-%20soundtrack/11%2520-%2520Moeity%252

0Prison.ogg:

No such file or directory

(Further messages have been hidden.)

Then I edit it again and change manually the encoding, replacing %20 by a blank space and %27 by _'_ (3rd file attached) and now the playlist works

fine.    

I believe is thus connected to the one of choosing absolute or relative paths.

I also remember noticing this encoding in .m3u files for the first time when I first started using Audacious. Previously, I used Quintessential Media

Player under Windows and the m3u files of my playlist, generated by QMP, did not have this encoding. I still have many of these playlist files and they

work fine with Audacious, whether under Linux or Windows.
#7 - November 04, 2017 17:11 - John Lindgren

I have done some tests again with both the 3.6 and 3.9 versions (and there is no behaviour difference between the both of them).

 

My mistake, I was thinking that the relative paths feature had landed in version 3.9.  You'll need to use the latest version from Git.

I edit the playlist file and delete the paths and keep only the file names because the playlist file is to be stored in the same folder as the files.

Then the playlist file (2nd file attached) does not work any more.

 

That's to be expected.  URIs are not file paths.  To convert a URI to a relative file path, you have to undo the percent-encoding.  If you install

Audacious from Git, it will handle this for you.

Files

test-absolute.m3u 1.65 KBNovember 01, 2017 John Lindgren

test-relative.m3u 707 BytesNovember 01, 2017 John Lindgren

Riven - soundtrack.m3u 1.99 KBNovember 04, 2017 The  Mummy

Riven - soundtrack - relative path.m3u 575 BytesNovember 04, 2017 The  Mummy

Riven - soundtrack - relative path and rectified encoding.m3u 447 BytesNovember 04, 2017 The  Mummy
